Subject: Re: bug#17507: Documentation for `add-text-property' and relatives

From: Eli Barzilay <[email-masked]>
Date: Fri, 16 Aug 2019 04:35:35 +0300

In lisps you can mutate properties of an object, but you cannot change
the pointer itself.  I think that another way to clarify it would be
to say that "foo" is actually shorthand for #("foo") but the #() is
omitted for brevity.  But at this point this is subjective enough to
be ignorable...

On Thu, Aug 15, 2019 at 5:30 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Eli Barzilay <[email-masked]>
> > Date: Thu, 15 Aug 2019 06:41:17 +0300
> > Cc: [email-masked]
> >
> > Um...  Note that I referred *explicitly* to other lisps and schemes.
> > The assumption that I'm talking about would hold for people who are
> > used to CL too: a string is indeed more than just a pointer bytes with
> > a NUL at the end, yet there is no way to change a *property* of "foo"
> > and end up with #("foo" stuff...).
>
> Can you explain in more detail what did you think was missing from the
> manual?  I've read the original report, and I admit I didn't
> understand what was the essence of your difficulty.
>
> Thanks.

-- 
                   ((x=>x(x))(x=>x(x)))                  Eli Barzilay:
                   http://barzilay.org/                  Maze is Life!